com.google.cloud.dataflow.sdk.coders

## Class MapCoderBase<T>

- java.lang.Object
- - com.google.cloud.dataflow.sdk.coders.StandardCoder<T>
  - - com.google.cloud.dataflow.sdk.coders.MapCoderBase<T>

Type Parameters:
  `T` - the type of values being transcoded

All Implemented Interfaces:
  Coder<T>, Serializable

Direct Known Subclasses:
  MapCoder

Deprecated.

    @Deprecated
    public abstract class MapCoderBase<T>
    extends StandardCoder<T>

A abstract base class for MapCoder. Works around a Jackson2 bug tickled when building `MapCoder` directly (as of this writing, Jackson2 walks off the end of an array when it tries to deserialize a class with multiple generic type parameters). This should be removed in favor of a better workaround.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.coders.Coder

`Coder.Context, Coder.NonDeterministicException`

### Constructor Summary

Constructors
`protected` `MapCoderBase()` Deprecated.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static MapCoderBase<?>` `of(String typeId, List<Coder<?>> components)` Deprecated.

### Methods inherited from class com.google.cloud.dataflow.sdk.coders.StandardCoder

`asCloudObject, consistentWithEquals, equals, getAllowedEncodings, getComponents, getEncodedElementByteSize, getEncodingId, hashCode, isRegisterByteSizeObserverCheap, registerByteSizeObserver, structuralValue, toString, verifyDeterministic, verifyDeterministic`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.cloud.dataflow.sdk.coders.Coder

`decode, encode, getCoderArguments, verifyDeterministic`

### Constructor Detail

#### MapCoderBase

    protected MapCoderBase()

Deprecated.

### Method Detail

#### of

    @Deprecated
    public static MapCoderBase<?> of(String typeId,
                                                 List<Coder<?>> components)

Deprecated.